---
title: "Skynet Announces SkyDB, Unlocking a Fully Decentralized Internet"
date: "2020-10-15"
description: "SkyDB enables decentralized social media to take on `The Social Dilemma`"
author: "Skynet Labs"
categories: ["press release"]
avatar: "../images/skynet-avatar.png"
thumbnail: "../images/press-release.png"
---

**Boston, MA – October 15th, 2020** — Skynet Labs, the company building the Sia decentralized cloud storage platform and the Skynet application hosting platform, today announced the launch of SkyDB, a framework that allows developers to build feature-complete applications that compete with the likes of Youtube, Twitter, Instagram, and Tiktok.

The fabric of our society and the way we interact with each other has been heavily influenced and altered by the rise of social media platforms. Biased algorithms amplify stereotypes, constant streams of content compete for our attention, and manipulated narratives wedge digital divides across political ideologies and cultural identities. As pertinently pointed out by the popular Social Dilemma documentary, “We have moved from a tools-based technology environment to an addiction and manipulation based technology environment"

SkyDB enables developers to realize the full potential of a Free Internet. Building these Web3 applications not only has benefits of privacy and control over one’s data but it ushers innovation currently impossible in the siloed centralized web of today. SkyDB is a framework that allows users to create decentralized accounts and store mutable data in those accounts which can be accessed globally from any device. The user does not need to sync any blockchains or run any special software — a normal web browser is sufficient. For more details on the inner workings of SkyDB and the potential it unlocks, check out our latest blog post.

“Today is a turning point in history where the decentralized web starts to eat the centralized web,” said David Vorick, Skynet Labs CEO and lead developer. “Skynet gives developers more tools to create better experiences for users. Skynet in many senses is the first true cloud, where all data is available everywhere, regardless of the original application.”

Skynet was launched back in February 2020 and since then has seen accelerated growth in developer interest and usage. Users around the world have uploaded more than 2.5 million files amounting to 15+ TeraBytes of data using Skynet. In October, Skynet crossed a record-high of 150,000 downloads in a single day.

A thriving community of developers has built over 150 applications in the span of a few months including a Video Streaming app SkyLive, Blogging apps like Wakio and Skyblog Builder, Video & Image gallery app SkyGallery, a Decentralized AppStore Skydroid. The full list of Skynet Apps can be explored at the Skynet AppStore, and an English language Wikipedia clone.

“Next-generation applications are already being built on Skynet with more developers joining the community every day,” said Manasi Vora, Skynet Labs’ VP Strategy & Operations. “Skynet shines in how its easy to use not just for developers but also for the end-users, a rarity in the blockchain space.”

By building on the Sia network, Skynet delivers a 10x reduction in storage costs and a 100x reduction in bandwidth costs when compared to centralized providers, without sacrificing performance or reliability. Skynet achieves 1 gigabit per second in download and uploads speeds, with more improvements coming in future releases.

Interested in Skynet? Learn more at Siasky.net join us on Discord, and email us at hello@sia.tech.

## About Skynet Labs

Skynet Labs, previously known as Nebulous, builds uncompromising software infrastructure for the decentralized internet. This includes Sia, the leading decentralized cloud storage platform, and Skynet, a content and application hosting platform.

Skynet Labs defines uncompromising infrastructure as scalable, trustless, secure, and – most important – fully decentralized. In a blockchain industry filled with hype but lacking substance, Skynet Labs stands out as one of the few deeply technical teams that consistently deliver real products with significant potential.

Nebulous, Inc. was founded in 2014 and is headquartered in Boston. It is funded by Paradigm, Bain Capital Ventures, A.Capital, Bessemer Venture Partners, Dragonfly Capital Partners, First Star Ventures, and other notable investors.
