---
title: "Sia Announces Skynet, the Storage Foundation for a Free Internet"
description: "Skynet is available with Sia version 1.4.3 and ready to use today!"
date: "2020-02-18"
author: "Skynet Labs"
categories: ["press release"]
avatar: "../images/skynet-avatar.png"
thumbnail: "../images/press-release.png"
---

**Boston, MA – February 18, 2020** — Nebulous, the company building the Sia decentralized cloud storage network, today announced the launch of Skynet, a decentralized CDN and file sharing platform for application developers. Skynet enables high speed, low cost, and superior infrastructure to serve as the storage foundation for a free Internet.

Today’s decentralized applications (dapps) largely rely on centralized data storage providers like Amazon, due to the lack of reliable, fast, and production-ready decentralized alternatives. This makes it difficult for developers to build truly decentralized applications and prevents the dapp ecosystem from realizing the real potential of a Free Internet.

Skynet provides an easy-to-use data storage and publishing mechanism on which developers can build decentralized applications. With a simple API and SDKs for popular programming languages, Skynet empowers developers to easily integrate decentralized storage into their applications. Importantly, end-users can directly access files on Skynet without needing to run full nodes or deal with cryptocurrencies.

By building on the Sia Network, Skynet delivers a 10x reduction in storage costs and a 100x reduction in bandwidth costs when compared to centralized providers, without sacrificing performance or reliability. Amazingly, Skynet achieves 1 gigabit per second in download and uploads speeds, with more improvements coming in future releases.

“After seven years of nonstop work, applications built on decentralized storage are finally viable. I can say without a doubt that Skynet is the most powerful tech we've ever built” said David Vorick, Nebulous CEO and Sia Lead Developer. “Skynet makes it possible for content and applications to be deployed to a decentralized network just in seconds and be immediately available to everyone across the world.”

Our vision for Skynet involves supporting decentralized content publishing. Whether through news articles, blog posts, music, or video, Nebulous envisions Skynet as a decentralized and censorship-resistant foundation for content creators to deliver media their audience cares about. No more de-platforming, no more exploitation.

“One place where Skynet shines is speed. Page loading is almost instant. Deployment to Skynet is also almost instant. We’ve demonstrated that decentralized storage can be as fast as its centralized competitors” said Manasi Vora, Nebulous’ Head of Product Strategy. “With storage and bandwidth prices so low, we expect Skynet to enable previously unimaginable applications and spark a renaissance in media-heavy applications.”

Since Sia’s launch in 2015, users have stored over 4 PB of data across over 1 million storage smart contracts. Currently, the Sia network has 2.2 PB of available storage capacity and Sia software has been downloaded over 1 million times. Sia has a thriving community of third-party developers who have launched file sharing websites like PixelDrain and Storewise, cloud offerings like Filebase and Arzen,and companion apps like Decentralizer and SiaCentral.

Interested in Skynet? Learn more at Siasky.net join us on Discord, and email us at hello@sia.tech.

Want to help us re-decentralize the Internet? Nebulous is hiring for positions in engineering and operations. Learn more about our projects and apply today!

## About Skynet Labs 

Nebulous builds uncompromising blockchain hardware and software infrastructure for the decentralized internet. This includes Sia, the leading decentralized cloud storage platform, and Obelisk, a producer of blockchain-related hardware.

Nebulous defines uncompromising infrastructure as scalable, trustless, secure, and – most important – fully decentralized. In a blockchain industry filled with hype but lacking substance, Nebulous stands out as one of the few deeply technical teams that consistently delivers real products with significant potential.

Nebulous, Inc. was founded in 2014 and is headquartered in Boston. Nebulous is funded by Bain Capital Ventures, A.Capital, Raptor Group, First Star Ventures, and other notable investors.
